> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelsettingscommerce

> Requires settings.read.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/settings/commerce
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/settings/commerce:
    get:
      tags:
        - panel
      description: Requires settings.read.
      operationId: getPanelCommerceSettings
      responses:
        '200':
          description: Commerce settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelCommerceSettings'
        '403':
          $ref: '#/components/responses/Problem'
components:
  schemas:
    PanelCommerceSettings:
      type: object
      required:
        - topUp
        - subscriptions
        - updatedAt
      properties:
        topUp:
          $ref: '#/components/schemas/PanelTopUpSettings'
        subscriptions:
          $ref: '#/components/schemas/PanelSubscriptionSettings'
        updatedAt:
          type: string
          format: date-time
        updatedBy:
          type: string
          format: uuid
    PanelTopUpSettings:
      type: object
      required:
        - enabled
        - currency
        - minimumMinor
        - maximumMinor
        - windowSeconds
        - windowLimitMinor
      properties:
        enabled:
          type: boolean
        currency:
          type: string
        presetsMinor:
          type: array
          nullable: true
          items:
            type: integer
            format: int64
          description: >-
            Offered as buttons. Free entry stays available whatever this
            contains.
        minimumMinor:
          type: integer
          format: int64
          minimum: 1
        maximumMinor:
          type: integer
          format: int64
          minimum: 1
        windowSeconds:
          type: integer
          format: int64
          minimum: 1
        windowLimitMinor:
          type: integer
          format: int64
          minimum: 0
    PanelSubscriptionSettings:
      type: object
      required:
        - multiEnabled
        - maxPerCustomer
      properties:
        multiEnabled:
          type: boolean
        maxPerCustomer:
          type: integer
          minimum: 1
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.